Current employee's day detail: shift, worked bands
curl --request GET \
--url https://app.ontime.hosai.app/api/attendance/history/day/{date} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/attendance/history/day/{date}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/attendance/history/day/{date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "<string>",
"weekday": "<string>",
"status": "Present",
"shift": {
"code": "G",
"name": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"startMin": 0,
"endMin": 0,
"gracePeriodMinutes": 0,
"unpaidBreakMinutes": 0
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"geofenceLat": 123,
"geofenceLng": 123,
"geofenceRadiusM": 0
},
"geofenceStatus": "Inside",
"bands": [
{
"startMin": 0,
"endMin": 0,
"open": true
}
],
"firstIn": "<string>",
"lastOut": "<string>",
"workedMinutes": 0,
"breakMinutes": 0,
"otMinutes": 0,
"lateMinutes": 0,
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeName": "<string>",
"employeeCode": "<string>",
"timestamp": "<string>",
"direction": "IN",
"source": "MobileGPS",
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deviceCode": "<string>",
"lat": 123,
"lng": 123,
"accuracyMeters": 0,
"geofenceStatus": "Inside",
"selfieRef": "<string>",
"reason": "<string>",
"status": "Approved",
"conflictFlag": true
}
],
"sources": [
{
"source": "MobileGPS",
"count": 0
}
],
"impact": "<string>",
"canRegularize": true
}Attendance
Current employee's day detail: shift, worked bands
Current employee’s day detail: shift, worked bands, punches, location
GET
/
api
/
attendance
/
history
/
day
/
{date}
Current employee's day detail: shift, worked bands
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Response
200 - application/json
Success
Available options:
Present, Absent, Leave, Half, WeeklyOff, Holiday Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Inside, Outside, Pending Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes